%define __find_provides %{nil}
%define libs %mklibname %{name}
%define devel %mklibname %{name} -d

# filter out private libraries from provides (mga#18831#c8)
%global __provides_exclude_from ^(%{_datadir}/%{name}/lib/.*\\.so.*)$

Name:           unimrcp-deps
Version:        1.5.0
Release:        %mkrel 3
Summary:        Media Resource Control Protocol Stack
License:        Apache
Group:          System/Libraries
Url:            http://unimrcp.org
Source:         http://unimrcp.org/project/component-view/%{name}-1-5-0-tar-gz/download#/%{name}-%{version}.tar.gz
# https://github.com/unispeech/unimrcp/issues/204
Patch0:         unimrcp-deps-1.5.0-openssl-1.1.0.patch

BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  autoconf
BuildRequires:  automake

%package -n     %{libs}
Summary:        UniMRCP depends Stack shared libraries
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%package -n     %{devel}
Summary:        UniMRCP depends Stack development
Group:          Development/C
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       lib%{name} = %{version}-%{release}

%description
UniMRCP depends on a number of third party tools and libraries, which are
required and must be installed first. Alternatively, the original packages
of APR, APR-Util and Sofia-SIP libraries and patches for them
can be downloaded from http://www.unimrcp.org/dependencies/

%description -n %{libs}
UniMRCP depends on a number of third party tools and libraries, which are
required and must be installed first. Alternatively, the original packages
of APR, APR-Util and Sofia-SIP libraries and patches for them
can be downloaded from http://www.unimrcp.org/dependencies/

%description -n %{devel}
UniMRCP depends on a number of third party tools and libraries, which are
required and must be installed first. Alternatively, the original packages
of APR, APR-Util and Sofia-SIP libraries and patches for them
can be downloaded from http://www.unimrcp.org/dependencies/

%prep
%setup -q
%autopatch -p1

%build
cd libs/apr
%configure \
        --enable-threads \
        --disable-static \
        --includedir=%{_datadir}/%{name}/include \
        --libdir=%{_datadir}/%{name}/lib \
        --bindir=%{_datadir}/%{name}/bin \
        --datadir=%{_datadir}/%{name} \
        --prefix=%{_datadir}/%{name}
%make_build

cd ../apr-util
%configure \
        --with-apr=../apr \
        --disable-static \
        --includedir=%{_datadir}/%{name}/include \
        --libdir=%{_datadir}/%{name}/lib \
        --bindir=%{_datadir}/%{name}/bin \
        --datadir=%{_datadir}/%{name} \
        --prefix=%{_datadir}/%{name}
%make_build

cd ../sofia-sip
libtoolize --automake --force
aclocal -I m4 --force
autoheader --force
autoconf --force
automake --gnu --force-missing --add-missing
%configure \
        --disable-rpath \
        --disable-static \
        --disable-silent-rules \
        --with-glib=no \
        --includedir=%{_datadir}/%{name}/include \
        --libdir=%{_datadir}/%{name}/lib \
        --bindir=%{_datadir}/%{name}/bin \
        --datadir=%{_datadir}/%{name} \
        --prefix=%{_datadir}/%{name}
%make_build

%install
%make_install -C libs/apr

%make_install -C libs/apr-util

%make_install -C libs/sofia-sip

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libs}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/lib
%{_mandir}/man1/addrinfo.1.*
%{_mandir}/man1/localinfo.1.*
%{_mandir}/man1/sip-date.1.*
%{_mandir}/man1/sip-dig.1.*
%{_mandir}/man1/sip-options.1.*
%{_mandir}/man1/stunc.1.*
%exclude %{_datadir}/%{name}/lib/lib*.so
%exclude %{_datadir}/%{name}/lib/pkgconfig


%files -n %{devel}
%{_datadir}/%{name}/lib/lib*.so
%{_datadir}/%{name}/include
%{_datadir}/%{name}/build-1
%{_datadir}/%{name}/bin
%{_datadir}/%{name}/sofia-sip
%{_datadir}/%{name}/lib/pkgconfig/


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.5.0-3.mga8
+ Revision: 1517712
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.5.0-2.mga7
+ Revision: 1301524
- Mageia 7 Mass Rebuild

* Wed May 30 2018 daviddavid <daviddavid> 1.5.0-1.mga7
+ Revision: 1233130
- new version: 1.5.0
- enable sqlite3 support
- disable static libraries and drop '.la' files

* Sat Sep 23 2017 daviddavid <daviddavid> 1.1.2-10.mga7
+ Revision: 1158123
- rebuild for new openssl 1.1.0

* Sun Nov 27 2016 daviddavid <daviddavid> 1.1.2-9.mga6
+ Revision: 1070433
- filter out private libraries from provides (mga#18831#c8)
- move some devel files into devel subpackage
- fix ownership of data dir

* Thu Mar 03 2016 umeabot <umeabot> 1.1.2-8.mga6
+ Revision: 984691
- Rebuild for openssl

* Fri Feb 12 2016 umeabot <umeabot> 1.1.2-7.mga6
+ Revision: 959089
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-6.mga5
+ Revision: 742078
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 1.1.2-5.mga5
+ Revision: 725272
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-4.mga5
+ Revision: 690047
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.2-3.mga4
+ Revision: 519921
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 385066
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 dlucio <dlucio> 1.1.2-1.mga3
+ Revision: 339832
- 1.1.2
- filelist fixed

* Mon Apr 02 2012 pterjan <pterjan> 1.1.0-2.mga2
+ Revision: 227807
- Rebuild after libexpat.la removal

* Sun Mar 25 2012 dlucio <dlucio> 1.1.0-1.mga2
+ Revision: 226306
- imported package unimrcp-deps


* Thu Feb 16 2012 Denis Silakov <dsilakov@mandriva.org> 1.1.0-1mdv2012.0
+ Revision: 775094
- Reformat description to shorten lines

  + zamir <zamir@mandriva.org>
    - search build error
    - clear provides

* Sun Aug 21 2011 zamir <zamir@mandriva.org> 1.1.0-0
+ Revision: 695980
- may be need expat source?.. try
- try again
- try again
- try fix script creating dir
- build new pkg version

* Mon Feb 28 2011 Funda Wang <fwang@mandriva.org> 1.0.2-3
+ Revision: 640872
- rebuild

* Sat Feb 12 2011 zamir <zamir@mandriva.org> 1.0.2-2
+ Revision: 637390
- change depend
- fixed requires

* Fri Feb 11 2011 zamir <zamir@mandriva.org> 1.0.2-1
+ Revision: 637315
- changed provide information
- changed provide information

* Fri Feb 11 2011 zamir <zamir@mandriva.org> 1.0.2-0
+ Revision: 637269
- first build
- create unimrcp-deps

